﻿using System;
using System.Windows;
using System.Windows.Controls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace post7856
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.DecimalDegree;
            map.CurrentExtent = new RectangleShape(-100, 50, 100, -50);

            PopupOverlay popupOverlay = new PopupOverlay();

            Random random = new Random();
            for (int i = 0; i < 10; i++)
            {
                popupOverlay.Popups.Add(new CustomizedPopup(random.Next(-100, 100), random.Next(-50, 50)));
            }

            map.Overlays.Add(new WorldMapKitWmsWpfOverlay());
            map.Overlays.Add(popupOverlay);
            map.Refresh();
        }
    }

    public class CustomizedPopup : Popup
    {
        public CustomizedPopup(double longitude, double latitude)
            : base(longitude, latitude)
        { }

        public override void OnApplyTemplate()
        {
            DependencyObject dependencyObject = GetTemplateChild("PART_DemoButton");

            if (dependencyObject != null)
            {
                (dependencyObject as Button).Click += new RoutedEventHandler(DemoButton_Click);
            }

            base.OnApplyTemplate();
        }

        private void DemoButton_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("popup demo button clicked");
        }
    }
}
